
(in-package sugar-qsp)

(defun entry-point (&rest args)
  (catch :terminate
    (make-javascript (parse-file (first args)))))

(defun parse-file (filename)
  (p:parse 'sugar-qsp-grammar
           (alexandria:read-file-into-string filename)))

(defun make-javascript (locations)
  (mapcar #'make-javascript locations))

(defun report-error (fmt &rest args)
  (apply #'format t fmt args)
  (throw :terminate nil))
